Re: [PATCH] .travis.yml: Temporarily disable the aarch64 job

2020-06-02 Thread Richard Henderson
On 6/2/20 8:36 AM, Philippe Mathieu-Daudé wrote:
> Have you experienced problems with the s390x/powerpc jobs too?

I have, just yesterday.

r~



Re: [PATCH] .travis.yml: Temporarily disable the aarch64 job

2020-06-02 Thread Philippe Mathieu-Daudé
On 6/2/20 5:28 PM, Alex Bennée wrote:
> 
> Philippe Mathieu-Daudé  writes:
> 
>> Travis-CI Aarch64 runners are currently broken, the build fails
>> because the filesystem quota is full [1]:
>>
>> AR  libqemuutil.a
>>   nm: qemu-sockets.o: Bad value
>> LINKqemu-ga
>>   qga/main.o: In function `main':
>>   /home/travis/build/qemu/qemu/qga/main.c:1494: undefined reference to 
>> `socket_local_address'
>>   qga/channel-posix.o: In function `ga_channel_open':
>>   /home/travis/build/qemu/qemu/qga/channel-posix.c:210: undefined reference 
>> to `socket_parse'
>>   /home/travis/build/qemu/qemu/qga/channel-posix.c:193: undefined reference 
>> to `unix_listen'
>>   /home/travis/build/qemu/qemu/qga/channel-posix.c:218: undefined reference 
>> to `socket_listen'
>>   collect2: error: ld returned 1 exit status
>>   Makefile:686: recipe for target 'qemu-ga' failed
>>   make: *** [qemu-ga] Error 1
>>
>> Per [2], LXD container have 'approx 18GB' of storage, but our runner show:
>>
>>   $ df -h
>>   Filesystem 
>> Size  Used Avail Use% Mounted on
>>   
>> /var/snap/lxd/common/lxd/storage-pools/instances/containers/travis-job-qemu-qemu-693775643/rootfs
>>   895G   38G  854G   5% /
>>
>> As we suppose a filesystem quota makes our build fail,
>> disable the aarch64 job as a temporary kludge.
>>
>> [1] https://travis-ci.org/github/qemu/qemu/jobs/693775643
>> [2] 
>> https://docs.travis-ci.com/user/reference/overview/#virtualisation-environment-vs-operating-system
>>
>> Signed-off-by: Philippe Mathieu-Daudé 
>> ---
>>  .travis.yml | 1 +
>>  1 file changed, 1 insertion(+)
>>
>> diff --git a/.travis.yml b/.travis.yml
>> index 564be50a3c..3569ee99b3 100644
>> --- a/.travis.yml
>> +++ b/.travis.yml
>> @@ -399,6 +399,7 @@ jobs:
>>  - CACHE_NAME="${TRAVIS_BRANCH}-linux-gcc-debug-tcg"
>>  
>>  - name: "[aarch64] GCC check-tcg"
>> +  if: false # Temporarily disabled due to problem in aarch64 runner.
>>arch: arm64
>>dist: xenial
>>addons:
> 
> I was experimenting with something along the lines of:
> 
> --8<---cut here---start->8---
> .travis.yml: allow failure for unreliable hosts
> 
> They will still run but they won't get in the way of the result.
> 
> Signed-off-by: Alex Bennée 
> 
> 1 file changed, 5 insertions(+)
> .travis.yml | 5 +
> 
> modified   .travis.yml
> @@ -429,6 +429,7 @@ jobs:
>env:
>  - TEST_CMD="make check check-tcg V=1"
>  - CONFIG="--disable-containers --target-list=${MAIN_SOFTMMU_TARGETS}"
> +- UNRELIABLE=true
>  
>  - name: "[ppc64] GCC check-tcg"
>arch: ppc64le
> @@ -493,6 +494,7 @@ jobs:
>env:
>  - TEST_CMD="make check check-tcg V=1"
>  - CONFIG="--disable-containers 
> --target-list=${MAIN_SOFTMMU_TARGETS},s390x-linux-user"
> +- UNRELIABLE=true
>script:
>  - ( cd ${SRC_DIR} ; git submodule update --init roms/SLOF )
>  - BUILD_RC=0 && make -j${JOBS} || BUILD_RC=$?
> @@ -535,6 +537,7 @@ jobs:
>  - TEST_CMD="make check-unit"
>  - CONFIG="--disable-containers --disable-tcg --enable-kvm
>--disable-tools --host-cc=clang --cxx=clang++"
> +- UNRELIABLE=true
>  
>  # Release builds
>  # The make-release script expect a QEMU version, so our tag must start 
> with a 'v'.
> @@ -556,3 +559,5 @@ jobs:
>  - mkdir -p release-build && cd release-build
>  - ../configure ${BASE_CONFIG} ${CONFIG} || { cat config.log && exit 
> 1; }
>  - make install
> +  allow_failures:
> +- env: UNRELIABLE=true

Have you experienced problems with the s390x/powerpc jobs too?

Anyway if your patch works, I'm happier with it :)

> --8<---cut here---end--->8---
> 
> 
> 



Re: [PATCH] .travis.yml: Temporarily disable the aarch64 job

2020-06-02 Thread Alex Bennée


Philippe Mathieu-Daudé  writes:

> Travis-CI Aarch64 runners are currently broken, the build fails
> because the filesystem quota is full [1]:
>
> AR  libqemuutil.a
>   nm: qemu-sockets.o: Bad value
> LINKqemu-ga
>   qga/main.o: In function `main':
>   /home/travis/build/qemu/qemu/qga/main.c:1494: undefined reference to 
> `socket_local_address'
>   qga/channel-posix.o: In function `ga_channel_open':
>   /home/travis/build/qemu/qemu/qga/channel-posix.c:210: undefined reference 
> to `socket_parse'
>   /home/travis/build/qemu/qemu/qga/channel-posix.c:193: undefined reference 
> to `unix_listen'
>   /home/travis/build/qemu/qemu/qga/channel-posix.c:218: undefined reference 
> to `socket_listen'
>   collect2: error: ld returned 1 exit status
>   Makefile:686: recipe for target 'qemu-ga' failed
>   make: *** [qemu-ga] Error 1
>
> Per [2], LXD container have 'approx 18GB' of storage, but our runner show:
>
>   $ df -h
>   Filesystem  
>Size  Used Avail Use% Mounted on
>   
> /var/snap/lxd/common/lxd/storage-pools/instances/containers/travis-job-qemu-qemu-693775643/rootfs
>   895G   38G  854G   5% /
>
> As we suppose a filesystem quota makes our build fail,
> disable the aarch64 job as a temporary kludge.
>
> [1] https://travis-ci.org/github/qemu/qemu/jobs/693775643
> [2] 
> https://docs.travis-ci.com/user/reference/overview/#virtualisation-environment-vs-operating-system
>
> Signed-off-by: Philippe Mathieu-Daudé 
> ---
>  .travis.yml | 1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/.travis.yml b/.travis.yml
> index 564be50a3c..3569ee99b3 100644
> --- a/.travis.yml
> +++ b/.travis.yml
> @@ -399,6 +399,7 @@ jobs:
>  - CACHE_NAME="${TRAVIS_BRANCH}-linux-gcc-debug-tcg"
>  
>  - name: "[aarch64] GCC check-tcg"
> +  if: false # Temporarily disabled due to problem in aarch64 runner.
>arch: arm64
>dist: xenial
>addons:

I was experimenting with something along the lines of:

--8<---cut here---start->8---
.travis.yml: allow failure for unreliable hosts

They will still run but they won't get in the way of the result.

Signed-off-by: Alex Bennée 

1 file changed, 5 insertions(+)
.travis.yml | 5 +

modified   .travis.yml
@@ -429,6 +429,7 @@ jobs:
   env:
 - TEST_CMD="make check check-tcg V=1"
 - CONFIG="--disable-containers --target-list=${MAIN_SOFTMMU_TARGETS}"
+- UNRELIABLE=true
 
 - name: "[ppc64] GCC check-tcg"
   arch: ppc64le
@@ -493,6 +494,7 @@ jobs:
   env:
 - TEST_CMD="make check check-tcg V=1"
 - CONFIG="--disable-containers 
--target-list=${MAIN_SOFTMMU_TARGETS},s390x-linux-user"
+- UNRELIABLE=true
   script:
 - ( cd ${SRC_DIR} ; git submodule update --init roms/SLOF )
 - BUILD_RC=0 && make -j${JOBS} || BUILD_RC=$?
@@ -535,6 +537,7 @@ jobs:
 - TEST_CMD="make check-unit"
 - CONFIG="--disable-containers --disable-tcg --enable-kvm
   --disable-tools --host-cc=clang --cxx=clang++"
+- UNRELIABLE=true
 
 # Release builds
 # The make-release script expect a QEMU version, so our tag must start 
with a 'v'.
@@ -556,3 +559,5 @@ jobs:
 - mkdir -p release-build && cd release-build
 - ../configure ${BASE_CONFIG} ${CONFIG} || { cat config.log && exit 1; 
}
 - make install
+  allow_failures:
+- env: UNRELIABLE=true
--8<---cut here---end--->8---



-- 
Alex Bennée



[PATCH] .travis.yml: Temporarily disable the aarch64 job

2020-06-02 Thread Philippe Mathieu-Daudé
Travis-CI Aarch64 runners are currently broken, the build fails
because the filesystem quota is full [1]:

AR  libqemuutil.a
  nm: qemu-sockets.o: Bad value
LINKqemu-ga
  qga/main.o: In function `main':
  /home/travis/build/qemu/qemu/qga/main.c:1494: undefined reference to 
`socket_local_address'
  qga/channel-posix.o: In function `ga_channel_open':
  /home/travis/build/qemu/qemu/qga/channel-posix.c:210: undefined reference to 
`socket_parse'
  /home/travis/build/qemu/qemu/qga/channel-posix.c:193: undefined reference to 
`unix_listen'
  /home/travis/build/qemu/qemu/qga/channel-posix.c:218: undefined reference to 
`socket_listen'
  collect2: error: ld returned 1 exit status
  Makefile:686: recipe for target 'qemu-ga' failed
  make: *** [qemu-ga] Error 1

Per [2], LXD container have 'approx 18GB' of storage, but our runner show:

  $ df -h
  Filesystem
 Size  Used Avail Use% Mounted on
  
/var/snap/lxd/common/lxd/storage-pools/instances/containers/travis-job-qemu-qemu-693775643/rootfs
  895G   38G  854G   5% /

As we suppose a filesystem quota makes our build fail,
disable the aarch64 job as a temporary kludge.

[1] https://travis-ci.org/github/qemu/qemu/jobs/693775643
[2] 
https://docs.travis-ci.com/user/reference/overview/#virtualisation-environment-vs-operating-system

Signed-off-by: Philippe Mathieu-Daudé 
---
 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.travis.yml b/.travis.yml
index 564be50a3c..3569ee99b3 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -399,6 +399,7 @@ jobs:
 - CACHE_NAME="${TRAVIS_BRANCH}-linux-gcc-debug-tcg"
 
 - name: "[aarch64] GCC check-tcg"
+  if: false # Temporarily disabled due to problem in aarch64 runner.
   arch: arm64
   dist: xenial
   addons:
-- 
2.21.3